<!-- Extiende de layout para insertar parte del código a HTML -->

{% extends 'layout.html' %} 
{% block content %}
<div>
  <form action="{% url 'password' %}">
    <h1>Password Generator</h1>

    <label for="length">Selecciona la longitud del password</label>

    <select name="length" id="length">
      <option value="6">6 Characters</option>
      <option value="7">7 Characters</option>
      <option value="8">8 Characters</option>
      <option value="9">9 characters</option>
      <option value="10">10 characters</option>
      <option value="11">11 characters</option>
      <option value="12">12 characters</option>
      <option value="13">13 characters</option>
      <option value="14">14 characters</option>
    </select>

    <div>
      <label for="uppercase" >Uppercase</label>
      <input type="checkbox" name="uppercase" id="uppercase" />
    </div>

    <div>
      <label for="numbers" >Numbers</label>
      <input type="checkbox" name="numbers" id="numbers" />
    </div>

    <div>
      <label for="special">Special Characters</label>
      <input type="checkbox" name="special" id="special" />
    </div>

    <button>Generar Password</button>
  </form>
</div>
{% endblock %}